## aiohttp-sse 2.2.0

=== Makefile ===
# Some simple testing tasks (sorry, UNIX only).

setup:
	pip install -r requirements-dev.txt
	pre-commit install

.PHONY: fmt
fmt:
	python -m pre_commit run --all-files --show-diff-on-failure

.PHONY: lint
lint: fmt
	mypy

test:
	pytest -sv tests/

cov cover coverage:
	pytest -sv tests/ --cov=aiohttp_sse --cov-report=html
	@echo "open file://`pwd`/htmlcov/index.html"

clean:
	rm -rf `find . -name __pycache__`
	rm -f `find . -type f -name '*.py[co]' `
	rm -f `find . -type f -name '*~' `
	rm -f `find . -type f -name '.*~' `
	rm -f `find . -type f -name '@*' `
	rm -f `find . -type f -name '#*#' `
	rm -f `find . -type f -name '*.orig' `
	rm -f `find . -type f -name '*.rej' `
	rm -f .coverage
	rm -rf coverage
	rm -rf build
	rm -rf cover
	rm -rf htmlcov

doc:
	make -C docs html
	@echo "open file://`pwd`/docs/_build/html/index.html"

.PHONY: all build venv flake test vtest testloop cov clean doc

=== requirements.txt ===
-e .
aiohttp==3.9.3
pytest==8.0.2
pytest-aiohttp==1.0.5
pytest-asyncio==0.23.5
pytest-cov==4.1.0

=== debian/changelog ===
aiohttp-sse (2.2.0-3) unstable; urgency=medium

  * Team upload.
  * Port to pytest-asyncio >= 1.0.0. Thanks Colin Watson! (Closes: #1115561)
  * Add debian/salsa-ci.yml.

 -- Tianyu Chen <billchenchina2001@gmail.com>  Mon, 13 Oct 2025 16:04:07 +0800

aiohttp-sse (2.2.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 12 Mar 2025 21:35:58 +0000

aiohttp-sse (2.2.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1100118)

 -- Edward Betts <edward@4angle.com>  Tue, 11 Mar 2025 14:52:49 +0100

=== debian/control ===
Source: aiohttp-sse
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-aiohttp <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-aiohttp <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-cov <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.1
Homepage: https://github.com/aio-libs/aiohttp_sse
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/aiohttp-sse
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/aiohttp-sse.git

Package: python3-aiohttp-sse
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Server-sent events support for streaming data over HTTP
 This library offers support for server-sent events (SSE), enabling the
 streaming of data from a server to clients over HTTP. Maintaining an open
 connection between the client and server, it allows the continuous flow of
 real-time updates in the text/event-stream format. This is particularly useful
 for applications requiring real-time notifications, such as live news feeds,
 chat applications, or real-time dashboards, where maintaining a persistent
 connection is critical for functionality. The library can interact with
 client-side EventSource interfaces to deliver these continuous updates,
 ensuring they are sent as server events occur.

=== debian/tests/control ===
Tests:
 run-tests,
Depends:
 python3-all,
 python3-pytest,
 python3-pytest-aiohttp,
 python3-pytest-asyncio,
 @,

=== debian/watch ===
version=4
https://github.com/aio-libs/aiohttp_sse/tags .*/v?(\d\S+)\.tar\.gz
